Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.seq.io
Class HashedFastaIterator

    java.lang.Object
      org.biojavax.bio.seq.io.HashedFastaIterator

All Implemented Interfaces:
  SequenceIterator, BioEntryIterator, RichSequenceIterator

    public class HashedFastaIterator

extends Object
implements RichSequenceIterator

Iterates over a Fasta file that is kept in memory for optimized access.

Since:
  1.7
Author:
  Andreas Prlic

Constructor Summary
`HashedFastaIterator(BufferedInputStream is, Alphabet alpha, Namespace ns)`

Method Summary
`boolean` | `hasNext()` Returns whether there are more sequences to iterate over.
`BioEntry` | `nextBioEntry()`
`RichSequence` | `nextRichSequence()`
`Sequence` | `nextSequence()` Returns the next sequence in the iterator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HashedFastaIterator

    public HashedFastaIterator(BufferedInputStream is,
                               Alphabet alpha,
                               Namespace ns)
                        throws BioException

Throws:
  `BioException`

Method Detail

### nextRichSequence

    public RichSequence nextRichSequence()
                                  throws NoSuchElementException,
                                         BioException

  Specified by:
    `nextRichSequence` in interface `RichSequenceIterator`
  Throws:
    `NoSuchElementException`
    `BioException`

### hasNext

    public boolean hasNext()

  Description copied from interface: `SequenceIterator`
  Returns whether there are more sequences to iterate over.

  Specified by:
    `hasNext` in interface `SequenceIterator`
  Specified by:
    `hasNext` in interface `BioEntryIterator`
  Returns:
    true if there are more sequences to get and false otherwise

### nextBioEntry

    public BioEntry nextBioEntry()
                          throws NoSuchElementException,
                                 BioException

  Specified by:
    `nextBioEntry` in interface `BioEntryIterator`
  Throws:
    `NoSuchElementException`
    `BioException`

### nextSequence

    public Sequence nextSequence()
                          throws NoSuchElementException,
                                 BioException

  Description copied from interface: `SequenceIterator`
  Returns the next sequence in the iterator.

  Specified by:
    `nextSequence` in interface `SequenceIterator`
  Returns:
    the next Sequence
  Throws:
    `NoSuchElementException` - if you call nextSequence when hasNext returns false
    `BioException` - if for any reason the sequence could not be retrieved

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD